//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/PlayerStart.h                                            $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 7:08 PM                                               $
//
// Copyright (C) 1997 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Player start location entity declarations
//

#ifndef __PLAYERSTART_H__
#define __PLAYERSTART_H__

#include "g_local.h"
#include "entity.h"
#include "camera.h"

class PlayerStart : public Entity
{
public:
	CLASS_PROTOTYPE( PlayerStart );

	/*PlayerStart::*/ PlayerStart();
};

class ProgressiveStart : public PlayerStart
{
public:
	CLASS_PROTOTYPE( ProgressiveStart );

	ProgressiveStart();
	void  SetSpawnpoint( Event* ev );
};

class TestPlayerStart : public PlayerStart
{
public:
	CLASS_PROTOTYPE( TestPlayerStart );
};

class PlayerDeathmatchStart : public PlayerStart
{
public:
	CLASS_PROTOTYPE( PlayerDeathmatchStart );
};

class PlayerCoopStart : public PlayerStart
{
public:
	CLASS_PROTOTYPE( PlayerCoopStart );
};

class PlayerIntermission : public Camera
{
public:
	CLASS_PROTOTYPE( PlayerIntermission );
	PlayerIntermission();
};

#endif /* PlayerStart.h */
